#!/bin/bash

froot='test_MA'
outroot='test_lt'

touschekLifetime $outroot'.tl' -twiss=$froot'_cut.twi.txt' -aperture=$froot'.mmap' -charge=1.15 -length=12.95 -v=1 -ignoreMismatch -emitInput=70e-12 -emityInput=70e-12 > $outroot'.txt'

sddsprintout $outroot'.tl' $outroot'.out' -parameters='tLifetime' -formatDefaults=double='%20.15g'

froot='orig_MA'
outroot='orig_lt'

touschekLifetime $outroot'.tl' -twiss=$froot'_cut.twi.txt' -aperture=$froot'.mmap' -charge=1.15 -length=12.95 -v=1 -ignoreMismatch -emitInput=70e-12 -emityInput=70e-12 > $outroot'.txt'

sddsprintout $outroot'.tl' $outroot'.out' -parameters='tLifetime' -formatDefaults=double='%20.15g'
