import numpy as np 
from matplotlib import use
use('Agg') # Must be before importing matplotlib.pyplot or pylab
import matplotlib.pyplot as plt
from matplotlib import rcParams
froot='test_MC'
ntest=17
ndiv=4800
loss=np.zeros(shape=(ndiv,2))
for j in range (ntest):
  kk=j+1
  a=np.genfromtxt(froot+'-{:03d}.txt'.format(kk), delimiter='\n', dtype=None)
  b=len(a[40])
  c=len(a)
  k=[]
  for i in range (c):
    if(len(a[i])!=b):
      k.append(i)
  index=np.asarray(k)
  a0=np.delete(a,index)
  lis=[]
  for i in range (len(a0)):
    lis1=a0[i].split('  ')
    lis=lis+lis1
  sds=np.asarray(np.reshape(lis,(len(lis)/2,2)))
  final=sds.astype(np.float)
  np.savetxt(froot+'-{:03d}.plt'.format(kk),final,newline='\n')
  loss[:,1]=loss[:,1]+final[0:ndiv,1]
#
loss[:,0]=final[0:ndiv,0]
print(sum(loss[:,1]))
np.savetxt('finalresult.txt',loss,newline='\n')
plt.plot(loss[:,0],loss[:,1]/1e6,'r--')
plt.xlabel('s(m)',fontsize=18)
plt.ylabel("loss rate ($10^6$ $s^{-1}$)",fontsize=18)
plt.title('loss rate from 1 sector of alsu')
#plt.rc('xtick',labelsize=28)
rcParams.update({'font.size': 18, 'font.family': 'serif'})
plt.savefig("loss_1.pdf")
plt.clf()
